## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global realname gpb


Name:		erlang-%{realname}
Version:	4.21.1
Release:	%autorelease
BuildArch:	noarch
Summary:	A Google Protobuf implementation for Erlang
# Source code licensed under LGPL-2.1-or-later, data files in ./priv directory
# are licensed under BSD-3-Clause
License:	LGPL-2.1-or-later AND BSD-3-Clause
URL:		https://github.com/tomas-abrahamsson/%{realname}
VCS:		git:%{url}.git
Source0:	%{url}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar3
Obsoletes:	erlang-protobuffs < 0.9.3
Provides:	erlang-protobuffs = %{version}-%{release}


%description
%{summary}.


%prep
%autosetup -p1 -n %{realname}-%{version}
echo "%{version}" > gpb.vsn


%build
%{erlang3_compile}


%install
%{erlang3_install}
# Install Erlang protobuf compiler script
install -D -p -m 0755 ./bin/protoc-erl %{buildroot}%{_bindir}/protoc-erl
# Install useful definitions
cp -arv priv/ %{buildroot}%{erlang_appdir}/



%check
%{erlang3_test}


%files
%license COPYING.LIB
%doc README.md README.nif-cc doc/dev-guide/*.md
%{_bindir}/protoc-erl
%{erlang_appdir}/


%changelog
## START: Generated by rpmautospec
* Fri Aug 02 2024 Peter Lemenkov <lemenkov@gmail.com> - 4.21.1-2
- Obsolete erlang-protobuffs

* Fri Aug 02 2024 Peter Lemenkov <lemenkov@gmail.com> - 4.21.1-1
- initial build
## END: Generated by rpmautospec
